Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.util
Class StatusMessageManager

    java.lang.Object
      com.bea.apps.groupspace.util.StatusMessageManager

All Implemented Interfaces
  Serializable

    public class StatusMessageManager

extends Object
implements Serializable

Manages multiple StatusMessageHelpers Each managed StatusMessageHelper has a uniques name Client can post status messages to named destinations. Each destination maps to a StatusMesageHelper. Status messages queued for a destination can be picked up by referencing the name of the destination.

See Also
  Serialized Form

Constructor Summary
`StatusMessageManager()`

Method Summary
`List<StatusMessage>` | `getStatusMessages(String destination)` Get all StatusMessages that were queued to to the specified destination
`void` | `postStatusMessage(String destination, StatusMessage message)` Posts a StatusMessage into a destination queue

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusMessageManager

    public StatusMessageManager()

Method Detail

### getStatusMessages

    public List<StatusMessage> getStatusMessages(String destination)

  Get all StatusMessages that were queued to to the specified destination

  Parameters
    `destination` - Destination identifier
  Returns
    List of Status messages that were queued to the specified destination If the destination does not exist or there were no pending messages then an empty list will be returned.

### postStatusMessage

    public void postStatusMessage(String destination,
                                  StatusMessage message)
                           throws StatusMessageException

  Posts a StatusMessage into a destination queue

  Parameters
    `destination` - Destination identifier
    `message` - StatusMessage to be queued to the destination
  Throws
    `StatusMessageException` - If the destination or message is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved